@echo off
REM ======================================================================
REM The AT command would be:
REM	  AT 20:00 /every:M,T,W,Th,F,S,Su "\\server\rightfax\bin\backup.bat"
REM		      or
REM	  AT 20:00 /every:M,T,W,Th,F,S,Su "d:\rightfax\bin\backup.bat"
REM You will need to have the service SCHEDULE, LOG ON AS a User from the
REM Domain, because it will need to access a UNC name.
REM ======================================================================

set DATADIR=..\database
set BACKUPDIR=..\database

REM ======================================================================
REM This will stop the RightFAX Server Module
REM ======================================================================
net stop "RightFAX Server Module"

REM ======================================================================
REM This will change to the drive where the \RIGHTFAX\BIN directory is
REM located
REM ======================================================================
D:
cd \RIGHTFAX\BIN

REM ======================================================================
REM See what day it is and do the appropriate work, which in this example
REM is to create a backup of the RightFAX database files by zipping the
REM \RIGHTFAX\DATABASE\FAXDATA.* files into another directory.
REM ======================================================================

today
if errorlevel 7 goto saturday
if errorlevel 6 goto friday
if errorlevel 5 goto thursday
if errorlevel 4 goto wednesday
if errorlevel 3 goto tuesday
if errorlevel 2 goto monday
if errorlevel 1 goto sunday

:saturday
:sunday
zip -Dj %BACKUPDIR%\faxsun.zip %DATADIR%\faxdata.*
goto RESTART
:friday
zip -Dj %BACKUPDIR%\faxfri.zip %DATADIR%\faxdata.*
goto RESTART
:thursday
zip -Dj %BACKUPDIR%\faxthu.zip %DATADIR%\faxdata.*
goto RESTART
:wednesday
zip -Dj %BACKUPDIR%\faxwed.zip %DATADIR%\faxdata.*
goto RESTART
:tuesday
zip -Dj %BACKUPDIR%\faxtue.zip %DATADIR%\faxdata.*
goto RESTART
:monday
zip -Dj %BACKUPDIR%\faxmon.zip %DATADIR%\faxdata.*


:RESTART
REM ======================================================================
REM This will stop the RightFAX Server Module
REM ======================================================================
net start "RightFAX Server Module"
